Summary:    Software for playing Microsoft Windows games and launchers
Name:       portproton
Version:    1.0
Release:    1%{?dist}

License:    MIT
URL:        https://linux-gaming.ru
Source0:    https://raw.githubusercontent.com/Castro-Fidel/PortWINE/master/portwine_install_script/PortProton_%{version}
Source1:    portproton.desktop
Source2:    https://raw.githubusercontent.com/Castro-Fidel/PortProton_PKGBUILD/main/portproton.svg
Source3:    https://raw.githubusercontent.com/Castro-Fidel/PortProton_PKGBUILD/main/portproton.metainfo.xml
Source4:    https://raw.githubusercontent.com/Castro-Fidel/PortProton_PKGBUILD/main/LICENSE

Requires:   curl
Requires:   icoutils
Requires:   wget
Requires:   zenity
Requires:   bubblewrap
Requires:   zstd
Requires:   cabextract
Requires:   tar
Requires:   openssl
Requires:   mesa-dri-drivers
Requires:   mesa-dri-drivers(x86-32)
Requires:   mesa-vulkan-drivers
Requires:   mesa-vulkan-drivers(x86-32)
Requires:   vulkan-loader(x86-32)
Requires:   vulkan-loader
Requires:   nss(x86-32)
Requires:   alsa-lib(x86-32)
Requires:   mesa-libGL(x86-32)
Requires:   mesa-libEGL(x86-32)
Requires:   wmctrl
Requires:   ImageMagick

Recommends: gamemode
Recommends: gamemode(x86-32)

BuildArch:  noarch

%description
Project designed to make it easy and convenient to run Windows games on Linux
for both beginners and advanced users. The project strives to make launching
games (and other software) as simple as possible, but at the same time provides
flexible settings for advanced users.

%prep

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/applications
install -d -m 755 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -d -m 755 %{buildroot}%{_datadir}/metainfo
install -d -m 755 %{buildroot}%{_datadir}/licenses/%{name}

install -m755 %{SOURCE0} %{buildroot}%{_bindir}/%{name}
install -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
install -m644 %{SOURCE3} %{buildroot}%{_datadir}/metainfo/
install -m644 %{SOURCE4} %{buildroot}%{_datadir}/licenses/%{name}

%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/metainfo/%{name}.metainfo.xml

%changelog
* Sat Sep 02 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.0-1
- Rebuilt for MSVSphere 9.2

* Sat Sep  2 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 1.0-1
- Initial build for MSVSphere 9.2
